using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using JWT;

namespace WebApplication3
{
    public class Handler1 : IHttpHandler
    {
        public void ProcessRequest(HttpContext context)
        {

            TimeSpan t = (DateTime.UtcNow - new DateTime(1970, 1, 1));
            int timestamp = (int)t.TotalSeconds;

            var payload = new System.Collections.Generic.Dictionary<string, object>() {
                { "iat", timestamp },
                { "sub", "eli.pridonoff@sisense.com" },

                /**** Optional properties ****/

                // 1) Expiration time
                //{ "exp", (int)t.AddMinutes(30).TotalSeconds  },
                
                // 2) Collection of audience strings OR a single string
                // REQUIRED - the string "sisense" 
                //{ "aud", new string [] {"sisense" } } 
            };

            string sharedKey = "807878265444cd943f40751704bd77d2";
            string token = JWT.JsonWebToken.Encode(payload, sharedKey, JWT.JwtHashAlgorithm.HS256);
            string redirectUrl = "http://" + "sisense.localhost" + "/jwt?jwt=" + token;

            context.Response.Redirect(redirectUrl);

        }

        public bool IsReusable
        {
            get
            {
                return false;
            }
        }

    }
}